Package com.sun.jna.platform.win32

## Enum Advapi32Util.AccessCheckPermission

- java.lang.Object
- - java.lang.Enum<Advapi32Util.AccessCheckPermission>
  - - com.sun.jna.platform.win32.Advapi32Util.AccessCheckPermission

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Advapi32Util.AccessCheckPermission>`

Enclosing class:
  Advapi32Util

    public static enum Advapi32Util.AccessCheckPermission
    extends java.lang.Enum<Advapi32Util.AccessCheckPermission>

### Enum Constant Summary

Enum Constants
`EXECUTE`
`READ`
`WRITE`

### Field Summary

Fields
`(package private) int` `code`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static Advapi32Util.AccessCheckPermission` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Advapi32Util.AccessCheckPermission[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READ

    public static final Advapi32Util.AccessCheckPermission READ

#### WRITE

    public static final Advapi32Util.AccessCheckPermission WRITE

#### EXECUTE

    public static final Advapi32Util.AccessCheckPermission EXECUTE

### Field Detail

#### code

    final int code

### Method Detail

#### values

    public static Advapi32Util.AccessCheckPermission[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Advapi32Util.AccessCheckPermission c : Advapi32Util.AccessCheckPermission.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Advapi32Util.AccessCheckPermission valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()